STOFFChart::Legend Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
STOFFChart::Legend Struct Reference

a legend in a chart More...

`#include <STOFFChart.hxx>`

## Public Member Functions
| Legend ()
| constructor
void | addContentTo (librevenge::RVNGPropertyList &propList) const
| add content to the propList
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList

## Public Attributes
bool | m_show
| show or not the legend
bool | m_autoPosition
| automatic position
int | m_relativePosition
| the automatic position libstoff::LeftBit|...
STOFFVec2f | m_position
| the position in points
STOFFFont | m_font
| the font
STOFFGraphicStyle | m_style
| the graphic style

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFChart::Legend const &legend)
| operator<<

## Detailed Description

a legend in a chart

## Constructor & Destructor Documentation

## ◆ Legend()

STOFFChart::Legend::Legend | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addContentTo()

void STOFFChart::Legend::addContentTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add content to the propList

Referenced by STOFFChart::sendChart().

## ◆ addStyleTo()

void STOFFChart::Legend::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

Referenced by STOFFChart::sendChart().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::Legend const & | legend )
| friend

operator<<

## Member Data Documentation

## ◆ m_autoPosition

bool STOFFChart::Legend::m_autoPosition

automatic position

## ◆ m_font

STOFFFont STOFFChart::Legend::m_font

the font

## ◆ m_position

STOFFVec2f STOFFChart::Legend::m_position

the position in points

## ◆ m_relativePosition

int STOFFChart::Legend::m_relativePosition

the automatic position libstoff::LeftBit|...

## ◆ m_show

bool STOFFChart::Legend::m_show

show or not the legend

Referenced by STOFFChart::sendChart().

## ◆ m_style

STOFFGraphicStyle STOFFChart::Legend::m_style

the graphic style

The documentation for this struct was generated from the following files:

- STOFFChart.hxx
- STOFFChart.cxx